function [] = paramFindPlotsRF(file)
sensColumn = 5;
specColumn = 6;
results = csvread(file, 1, 0);
resultsNodeSize = zeros(0,3);
resultsNumTrees = zeros(0,3);
resultsOob = zeros(0,3);
resultsRandAttr = zeros(0,3);
for i = 1:size(results,1)
    found = 0;
    for j = 1:size(resultsNodeSize,1)
        if results(i,1) == resultsNodeSize(j,1)
            found = 1;
            if (results(i,sensColumn) + results(i,specColumn)) >  (resultsNodeSize(j,2) + resultsNodeSize(j,3))
                resultsNodeSize(j,2) = results(i,sensColumn);
                resultsNodeSize(j,3) = results(i,specColumn);
            end
        end
    end
    if found == 0
        resultsNodeSize(end + 1, 1) = results(i,1);
        resultsNodeSize(end, 2) = results(i,sensColumn);
        resultsNodeSize(end, 3) = results(i,specColumn);
    end
    found = 0;
    for j = 1:size(resultsNumTrees,1)
        if results(i,2) == resultsNumTrees(j,1)
            found = 1;
            if (results(i,sensColumn) + results(i,specColumn)) >  (resultsNumTrees(j,2) + resultsNumTrees(j,3))
                resultsNumTrees(j,2) = results(i,sensColumn);
                resultsNumTrees(j,3) = results(i,specColumn);
            end
        end
    end
    if found == 0
        resultsNumTrees(end + 1, 1) = results(i,2);
        resultsNumTrees(end, 2) = results(i,sensColumn);
        resultsNumTrees(end, 3) = results(i,specColumn);
    end
    found = 0;
    for j = 1:size(resultsOob,1)
        if results(i,3) == resultsOob(j,1)
            found = 1;
            if (results(i,sensColumn) + results(i,specColumn)) >  (resultsOob(j,2) + resultsOob(j,3))
                resultsOob(j,2) = results(i,sensColumn);
                resultsOob(j,3) = results(i,specColumn);
            end
        end
    end
    if found == 0
        resultsOob(end + 1, 1) = results(i,3);
        resultsOob(end, 2) = results(i,sensColumn);
        resultsOob(end, 3) = results(i,specColumn);
    end
    found = 0;
    for j = 1:size(resultsRandAttr,1)
        if results(i,4) == resultsRandAttr(j,1)
            found = 1;
            if (results(i,sensColumn) + results(i,specColumn)) >  (resultsRandAttr(j,2) + resultsRandAttr(j,3))
                resultsRandAttr(j,2) = results(i,sensColumn);
                resultsRandAttr(j,3) = results(i,specColumn);
            end
        end
    end
    if found == 0
        resultsRandAttr(end + 1, 1) = results(i,4);
        resultsRandAttr(end, 2) = results(i,sensColumn);
        resultsRandAttr(end, 3) = results(i,specColumn);
    end
end

subplot(121)
plot(resultsNodeSize(:,1), resultsNodeSize(:,2), 'MarkerFaceColor', 'red', 'Marker', 'o', 'Color', 'r', 'LineStyle', 'none')
hold on
plot(resultsNodeSize(:,1), resultsNodeSize(:,3), 'MarkerFaceColor', 'k', 'Marker', 's', 'Color', 'k', 'LineStyle', 'none')
xlabel('Velikost uzlu')
legend('Sensitivita', 'Specificita')
ylabel('Sensitivita a specificita')
set(gca, 'YGrid', 'On')

subplot(122)
plot(resultsNumTrees(:,1), resultsNumTrees(:,2), 'MarkerFaceColor', 'red', 'Marker', 'o', 'Color', 'r', 'LineStyle', 'none')
hold on
plot(resultsNumTrees(:,1), resultsNumTrees(:,3), 'MarkerFaceColor', 'k', 'Marker', 's', 'Color', 'k', 'LineStyle', 'none')
xlabel('Počet stromů')
legend('Sensitivita', 'Specificita')
ylabel('Sensitivita a specificita')
set(gca, 'YGrid', 'On')

figure
subplot(121)
plot(resultsOob(:,1), resultsOob(:,2), 'MarkerFaceColor', 'red', 'Marker', 'o', 'Color', 'r', 'LineStyle', 'none')
hold on
plot(resultsOob(:,1), resultsOob(:,3), 'MarkerFaceColor', 'k', 'Marker', 's', 'Color', 'k', 'LineStyle', 'none')
xlabel('Oob')
legend('Sensitivita', 'Specificita')
ylabel('Sensitivita a specificita')
set(gca, 'YGrid', 'On')

subplot(122)
plot(resultsRandAttr(:,1), resultsRandAttr(:,2), 'MarkerFaceColor', 'red', 'Marker', 'o', 'Color', 'r', 'LineStyle', 'none')
hold on
plot(resultsRandAttr(:,1), resultsRandAttr(:,3), 'MarkerFaceColor', 'k', 'Marker', 's', 'Color', 'k', 'LineStyle', 'none')
xlabel('Počet náhodných atributů')
legend('Sensitivita', 'Specificita')
ylabel('Sensitivita a specificita')
set(gca, 'YGrid', 'On')

end
